Name:		sourcetrail
Version:	2020.1.117
Release:	1%{?dist}
Summary:	a free and open-source interactive source explorer

License:	GPLv3
URL:		https://www.sourcetrail.com/
Source0:	https://github.com/CoatiSoftware/Sourcetrail/archive/%{version}.tar.gz

Patch0:		install.patch
Patch1:		llvm10.patch
Patch2:		test.patch
Patch3:		dylib.patch

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	cmake
BuildRequires:	ninja-build
BuildRequires:	boost-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:	qt5-qtsvg-devel
BuildRequires:	systemd-devel
BuildRequires:	libXxf86vm-devel
BuildRequires:	openssl-devel
BuildRequires:	libdrm-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	libXdamage-devel
BuildRequires:	libXfixes-devel
BuildRequires:	libXrender-devel
BuildRequires:	libXi-devel
BuildRequires:	ImageMagick
BuildRequires:	clang-devel
BuildRequires:	llvm-devel
BuildRequires:	desktop-file-utils

Requires:	boost-system
Requires:	boost-program-options
Requires:	boost-filesystem
Requires:	boost-date-time
Requires:	qt5-qtbase
Requires:	qt5-qtsvg

%description

Sourcetrail is a free and open-source cross-platform source explorer that helps
you get productive on unfamiliar source code.


%prep
%autosetup -n Sourcetrail-%{version} -p1


%build

mkdir -p "%{_vpath_builddir}" && cd "%{_vpath_builddir}"
%cmake .. -GNinja -DBoost_USE_STATIC_LIBS=OFF -DBUILD_SHARED_LIBS=OFF\
	-DBUILD_CXX_LANGUAGE_PACKAGE=ON -DCMAKE_SKIP_RPATH=ON

%ninja_build

%check
./%{_vpath_builddir}/test/Sourcetrail_test

%install
%ninja_install -C "%{_vpath_builddir}"
mkdir %{buildroot}/%{_bindir}

rm %{buildroot}/usr/Sourcetrail/README
mv %{buildroot}/usr/Sourcetrail/Sourcetrail %{buildroot}/%{_bindir}/sourcetrail
rm %{buildroot}/usr/Sourcetrail/Sourcetrail.sh
rm %{buildroot}/usr/Sourcetrail/install.sh
rm %{buildroot}/usr/Sourcetrail/plugin/atom/README.md
rm %{buildroot}/usr/Sourcetrail/plugin/eclipse/README.md
rm %{buildroot}/usr/Sourcetrail/plugin/emacs/README.md
rm %{buildroot}/usr/Sourcetrail/plugin/idea/README.md
rm %{buildroot}/usr/Sourcetrail/plugin/qt_creator/README.md
rm %{buildroot}/usr/Sourcetrail/plugin/sublime_text/README.md
rm %{buildroot}/usr/Sourcetrail/plugin/vim/README.md
rm %{buildroot}/usr/Sourcetrail/plugin/visual_studio/README.md
rm %{buildroot}/usr/Sourcetrail/plugin/vscode/README.md
rm %{buildroot}/usr/Sourcetrail/resetPreferences.sh

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{buildroot}/usr/Sourcetrail/setup/share/applications/sourcetrail.desktop
rm %{buildroot}/usr/Sourcetrail/setup/share/applications/sourcetrail.desktop

mkdir -p %{buildroot}/%{_datadir}/icons
mv %{buildroot}/usr/Sourcetrail/setup/share/icons/hicolor %{buildroot}/%{_datadir}/icons

mkdir -p %{buildroot}/%{_datadir}/mime/packages
mv %{buildroot}/usr/Sourcetrail/setup/share/mime/packages/sourcetrail-mime.xml %{buildroot}/%{_datadir}/mime/packages/
rm %{buildroot}/usr/Sourcetrail/sourcetrail_indexer
rm %{buildroot}/usr/Sourcetrail/uninstall.sh




%files

%{_bindir}/sourcetrail
%{_datadir}/applications/sourcetrail.desktop
%{_datadir}/icons/hicolor/*/apps/sourcetrail.png
%{_datadir}/mime/packages/sourcetrail-mime.xml


%changelog
* Fri Jun 19 2020 sguelton@redhat.com 2020.1.117-1
- Initial version
